package com.gic.haoban.manage.service.service.hm;

import java.util.List;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.hm.HmLinkDTO;
import com.gic.haoban.manage.api.dto.hm.HmLinkStoreDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.HmLinkSearchQDTO;
import com.gic.haoban.manage.service.pojo.bo.hm.HmLinkBO;

public interface HmLinkService {

    public HmLinkBO getByLinkId(String wxEnterpriseId, String enterprieId, Long linkId);

    public HmLinkBO getByLinkShortCode(String shortCode);
    
    public HmLinkBO getByLinkShortCodeCache(String shortCode);

    public HmLinkBO getByLinkIdFormCache(String wxEnterpriseId, String enterprieId, Long linkId);

    public List<HmLinkBO> listForSms(String wxEnterpriseId, String enterprieId, String linkName, Integer linkType,List<String> creatorIdList);

    public String saveLink(HmLinkDTO dto, List<HmLinkStoreDTO> stoerList);

    public Page<HmLinkBO> queryPageRelationList(Long pageId, String enterpriseId, String searchText, BasePageInfo basePageInfo);

}
